怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/douyin/creator" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"creators":["MS4wLjABAAAANAEutGKGcARnmU8bc8_4krwn9nMJPkR6jNqE1Gp7AWI"]}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/douyin/creator",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"creators": ["MS4wLjABAAAANAEutGKGcARnmU8bc8_4krwn9nMJPkR6jNqE1Gp7AWI"],
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/douyin/creator", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"creators": [
"MS4wLjABAAAANAEutGKGcARnmU8bc8_4krwn9nMJPkR6jNqE1Gp7AWI"
]
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-09
{
"data": [
{
"type": "video",
"awemeId": "7420319672345627944",
"url": "https://www.douyin.com/video/74203196…",
"description": "重庆美食我真是爱上了 #重庆美食 #豌杂…",
"createdAt": "2024-10-02T08:00:00Z",
"durationSeconds": 274.3,
"likeCount": 776423,
"commentCount": 63384,
"shareCount": 221495,
"collectCount": 122724,
"hashtags": [
"重庆美食",
"豌杂面",
"一起吃饭吧"
],
"musicId": "7420319775702616869",
"musicTitle": "@吃***",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": null,
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 20374396,
"authorVerified": null,
"coverUrl": "https://p3-sign.douyinpic.com/tos-cn-…",
"videoUrl": "https://v11-colds.douyinvod.com/a7924…",
"imageUrls": null
},
{
"type": "video",
"awemeId": "7264875580523351333",
"url": "https://www.douyin.com/video/72648755…",
"description": "今天吃你们期期都点的白米饭白面条还有…",
"createdAt": "2023-08-08T09:24:47Z",
"durationSeconds": 200.1,
"likeCount": 3657680,
"commentCount": 456552,
"shareCount": 388568,
"collectCount": 525807,
"hashtags": [
"一起吃饭吧",
"妈呀太香了",
"梅菜扣肉"
],
"musicId": "7264875695216921405",
"musicTitle": "@吃***",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": null,
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 20374396,
"authorVerified": null,
"coverUrl": "https://p3-sign.douyinpic.com/tos-cn-…",
"videoUrl": "https://v26-colds.douyinvod.com/e82ee…",
"imageUrls": null
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.008100",
"balance_usd": "9.875000",
"items": 2
}
}字段 28
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | video |
| awemeId | string | 7420319672345627944 |
| url | string | https://www.douyin.com/video/7420319672345627944 |
| description | string | 重庆美食我真是爱上了 #重庆美食 #豌杂面 #一起吃饭吧 #炸鸡 #妈呀太香了 |
| createdAt | string | 2024-10-02T08:00:00Z |
| durationSeconds | number | 274.3 |
| likeCount | number | 776423 |
| commentCount | number | 63384 |
| shareCount | number | 221495 |
| collectCount | number | 122724 |
| hashtags | array | ["重庆美食","豌杂面","一起吃饭吧"] |
| musicId | string | 7420319775702616869 |
| musicTitle | string | @吃*** |
| musicAuthor | string | <masked> |
| authorSecUid | string | <masked> |
| authorUid | string | <masked> |
| authorNickname | string | <masked> |
| authorDouyinId | string | <masked> |
| authorAvatar | string | <masked> |
| authorGender | null | null |
| authorBio | string | <masked> |
| authorIpLocation | string | <masked> |
| authorRegion | string | <masked> |
| authorFollowerCount | number | 20374396 |
| authorVerified | null | null |
| coverUrl | string | https://p3-sign.douyinpic.com/tos-cn-i-dy/53608c9ec93145c184… |
| videoUrl | string | https://v11-colds.douyinvod.com/a7924362495779925bc9c4646a64… |
| imageUrls | null | null |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。 | 5 |
| creators | array | 是 | 抖音主页链接(https://www.douyin.com/user/MS4w...)、v.douyin.com 分享链接或 `sec_uid`。很多博主隐藏了粉丝或关注列表,这类请求不返回数据。 | ["MS4wLjABAAAANAEutGKGcARnmU8bc8_4krwn9n… |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {"creators":["MS4wLjABAAAANAEutGKGcARnmU8bc8_4krwn9nMJPkR6jNqE1Gp7AWI"]};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/douyin/creator", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 10 条,每页最低收费 $0.001305;要 100 条的请求会取 10 页。
- 1 条:最多 $0.00405
- 20 条:最多 $0.081
- 100 条:最多 $0.405
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「博主的视频」要传哪些参数?
必填:creators。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.00405。每页最低收费 $0.001305:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.405。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。